Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Florian_B_
Beginner
126 Views

phtread, vtunes amplifier crash

Hi,

I try to use vtune amplifier with our software package, but it crashes with following message:

Assertion 'g_instr_global.is_libpthread_so_loaded == 0' failed.[ASSERTION CONTEXT]g_instr_global.is_libpthread_so_loaded == 1
[CONTEXT END]. Please contact the technical support.amplxe: Error: Assertion 'g_instr_global.is_libpthread_so_loaded == 0' failed.[ASSERTION CONTEXT]g_instr_global.is_libpthread_so_loaded == 1
[CONTEXT END]. Please contact the technical support.
Segmentation fault (core dumped)

I've already tried to preload the pthread library, but it's not working. Has anybody an idea ?

 

regards 

flo

 

0 Kudos
8 Replies
Alexey_B_Intel
Employee
126 Views

Hi Florin,

Thanks for the feedback.

Could you please provide 1) the core file after assertion as as it mentioned in the output above, 2) the bug report that is generated by amplxe-feedback utility which is part of VTune installtion (please look into product installation directories) ?

Thanks!

Alexey

Florian_B_
Beginner
126 Views

Hi

I've used the amplxe-feedback tool to find the bug report, but if I use the option -list-crash-reports it doesn't find any report. If I try to use the options -create-bug-report it fails with  the message 

Collecting pids tree
sh: 1: /tmp/amplxe-log-beck/2014-11-14-Fri-10-56-49-445903.amplxe-feedback/qfagent.cmd: not found

I've added the last folders from /tmp/amplxe-log to the file feedback.zip manually.

regards

 

flo

 

Alexey_B_Intel
Employee
126 Views

Hi,

Since AXE 2013 U6 is too old (~two years from now) I suggest downloading and using AXE 2015 U1. If you still have crashes there please let us know.

Thanks,

Alexey

Florian_B_
Beginner
126 Views

Can you send me a link where I can download the update?

Peter_W_Intel
Employee
126 Views

Latest VTune(TM) Amplifier XE 2015 Update 1 for Linux*, if you have registered this product, should have no problem to download it.

Florian_B_
Beginner
126 Views

For your interest,

I've found a solution, but I don't know what is causing the problem. At least, I have a software package which loads shared libraries during runtime with dlopen. If I compile the shared library which I load during runtime together with the main software package ( using cmake ... ) everything works fine. If I compile the shared library seperatly I get the strange error. I also checked that I have the same dependencies with ldd and that the same libraries loaded ( LD_DEBUG=all ...). Maybe anybody can give me a hint what is going wrong, if I compile the shared library seperatly? So far I will compile everything together until there is another solution.

Vitaly_S_Intel
Employee
126 Views

Hi Florian!

Can you clarify what do you mean by saying "compile shared library separately" - are you using different compile flags, dependencies, etc?

Peter_W_Intel
Employee
126 Views

@ Florian

1. Could you please check that program (compiled shared library separately) works without VTune? It it works, use same console to run amplxe-cl or amplxe-gui avoid environment inherited issue.

2. I saw libpthread_so missing when instrumenting, could you please check by referencing this? I received same report from VTune Amplifier.

BTW, please use latest VTune Amplifier XE 2015 U1

Reply